#ifndef LINKDELAYMODEL_H_
#define LINKDELAYMODEL_H_

#include "quantities/WiringPath.h"
#include "quantities/RealDelay.h"

namespace cosi {

namespace models {

namespace wiredbas {

class LinkDelayModel {
public:
	LinkDelayModel();
	virtual ~LinkDelayModel();
	virtual RealDelay Get(int MsgLength ,  WiringPath pPath) = 0 ; 
	virtual double GetValue(int MsgLength , WiringPath pPath) = 0 ;
};

}

}

}

#endif /*LINKDELAYMODEL_H_*/
